package com.stormtales.notevault.data.dao;

import androidx.lifecycle.LiveData;
import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;
import com.stormtales.notevault.data.entities.Song;

import java.util.List;

@Dao
public interface SongDao {
    @Insert
    void insert(Song song);

    @Query("SELECT * FROM song WHERE syncStatus != 1")
    List<Song> getAllSongs();

    @Update
    void update(Song song);
}
